Bug 147024 - [65cat] 'sudo' password should be required over 'su' one
[65cat] 'sudo' password should be required over 'su' one
Status: NEW
Product: ruby
Classification: Unclassified
Component: Gems
6.x
PC Linux
: P3 with 1 vote (vote)
: 6.x
Assigned To: issues@ruby
issues@ruby
:
: 180694 182169 (view as bug list)
Depends on: 133994
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 06:32 UTC by esmithbss
Modified: 2011-01-28 20:12 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2008-09-12 06:32:28 UTC
[ BUILD # : 200809111401 ]
[ JDK VERSION : 1.6.0_07 ]

After multiple tries, and being very careful to ensure the password
is typed correctly, I have been unable to install a gem via the
NetBeans Gem panel when the Administrative Password is required.

My user is explicitly specified in the sudoers file and can install
the gems from outside of NetBeans, but I am unable to install using
the gem panel.
Comment 1 Martin Krauskopf 2008-09-12 08:59:49 UTC
You need to enter 'su' password, not 'sudo' one. This is for various technical reason, that 'sudo' or more precisely
'gksu in sudo mode' does not work. I'll either:

- create a wiki page and make it more explicit in the dialog
- or fix it (but likely not for 6.5, since I do not know how, so far)

Comment 2 Martin Krauskopf 2008-09-15 21:07:05 UTC
I've added a note about required root password to the gksu dialog, so it is more obvious now. The rest will be fixed
rather in post-6.5. Might be not fixed at all, since I want to come with some enhancement that NetBeans will not need
root access, until user *really* wants so (in the same way as new RubyGems version using ~/.gems).
Comment 3 Martin Krauskopf 2008-09-15 21:07:42 UTC
Oops, sorry, accidentally closed.
Comment 4 Martin Krauskopf 2008-09-15 21:08:21 UTC
Improvement commit: #57bd1c70081d
Comment 5 esmithbss 2008-11-04 08:48:08 UTC
The need for a root password could be an issue on some desktop Linuxes.  

Example: 

During installation, Ubuntu creates a root user, but doesn't provide the password to the users.  The user's default
account is created with sudo privileges instead.
Comment 6 Martin Krauskopf 2008-11-04 09:05:01 UTC
I know, the current support is still a bit odd, due to some gksu restriction (or my ignorance of gksu). I would like
harness terminal emulator and run real 'sudo' instead.
Comment 7 jmkacz 2009-05-11 20:08:55 UTC
You mention using gksu. gksu is a frontend to su.

I think you want to use gksudo. gksudo is a frontend to sudo.

To test:
gksu ls
gksudo ls
Comment 8 esmithbss 2009-05-21 05:16:51 UTC
Any movement on this.  I keep getting bitten by this each time I need to modify my gems.

It doesn't look like it would be terribly difficult to hook up gksudo instead of gksu since they have the same command line.
Comment 9 Erno Mononen 2009-05-21 12:48:30 UTC
Yes, it should be simple enough. I'll fix this for 6.7.
Comment 10 Erno Mononen 2009-05-21 13:31:25 UTC
Sorry, I have to take that back. gksudo doesn't do any better job in passing the env variables of the parent than gksu 
in sudo mode (not even when using '--preserve-env', so e.g. GEM_HOME doesn't get passed to the process which causes 
problems as in #141136). Ideas welcome, but please note that as we're entering code freeze tomorrow anything requiring 
extensive changes will have to wait for the next release.
Comment 11 Erno Mononen 2010-02-15 01:53:52 UTC
*** Bug 180694 has been marked as a duplicate of this bug. ***
Comment 12 Erno Mononen 2010-03-23 15:36:23 UTC
*** Bug 182169 has been marked as a duplicate of this bug. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo